<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.kym.mapper.admin.EquipmentInfoMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.kym.entity.admin.EquipmentInfo">
        <result column="company_id" property="companyId" />
        <result column="station_id" property="stationId" />
        <result column="equipment_id" property="equipmentId" />
        <result column="manufacturer_id" property="manufacturerId" />
        <result column="manufacturer_name" property="manufacturerName" />
        <result column="equipment_model" property="equipmentModel" />
        <result column="production_date" property="productionDate" />
        <result column="equipment_type" property="equipmentType" />
        <result column="location" property="location" typeHandler="com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler"/>
        <result column="power" property="power" />
        <result column="net_status" property="netStatus" />
        <result column="service_status" property="serviceStatus" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id,company_id, station_id,equipment_id, manufacturer_id, manufacturer_name, equipment_model, production_date, equipment_type, location, power, net_status, service_status,create_time,update_time
    </sql>

</mapper>
